Attempt to cancel an in-progress conversion. Only conversions with status PENDING or PROCESSING can be cancelled.
curl --request DELETE \
--url https://api.staging.layer1.com/trade/v1/conversions/{conversionId} \
--header 'Authorization: Bearer <token>'{
"id": "550e8400-e29b-41d4-a716-446655440000",
"reference": "my-conversion-ref-123",
"status": "PENDING_CANCEL",
"from": {
"asset": "BTC",
"amount": "0.1"
},
"to": {
"asset": "USD"
},
"executor": "TAKER",
"createdAt": "2023-10-01T12:00:00Z"
}Documentation Index
Fetch the complete documentation index at: https://exness-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Unique identifier of the conversion to cancel
Conversion cancelled successfully
system generated id for conversion
"d43af94c-4d70-4917-aa05-22014c2c6079"
client supplied unique identifier for the conversion. This reference can be used to uniquely identify this request. Useful for idempotency and traceability
"myUniqueRef333"
Conversion status
SIMULATED, PENDING, PROCESSING, PENDING_CANCEL, CANCELLED, COMPLETED, FAILED From amount
Show child attributes
{ "asset": "USD", "amount": 100 }To amount
Show child attributes
{ "asset": "EUR", "amount": 89.58 }Show child attributes
Execution strategy
MAKER, TAKER, MAKER_TAKER, MARKET, TWAP Net change in asset based on executed orders
Show child attributes
[
{ "asset": "USD", "amount": -100 },
{ "asset": "EUR", "amount": 90.01 }
]Timestamp at which conversion was created
"2024-01-01T00:00:00Z"
Client supplied metadata about the request
Show child attributes
{ "customer": "BigBlue", "id": "12345" }A set of venue identifiers to restrict where the order may be executed. Only the specified venues will be considered for execution. Leave empty or null to allow execution on any available venue
Show child attributes
["kraken", "binance"]A set of venue account identifiers where the order may be executed. Only the specified venues will be considered for execution. Leave empty or null to allow execution on any available venue accounts
["kraken-favorite", "binance-123"]Timestamp before which the conversion must be executed. If the conversion is not executed before this time, it will stop processing and marked as expired
"2024-01-01T00:00:00Z"
Direction of conversion indicating whether from amount or to amount was supplied in conversion request
FIXED_FROM_AMOUNT, FIXED_TO_AMOUNT curl --request DELETE \
--url https://api.staging.layer1.com/trade/v1/conversions/{conversionId} \
--header 'Authorization: Bearer <token>'{
"id": "550e8400-e29b-41d4-a716-446655440000",
"reference": "my-conversion-ref-123",
"status": "PENDING_CANCEL",
"from": {
"asset": "BTC",
"amount": "0.1"
},
"to": {
"asset": "USD"
},
"executor": "TAKER",
"createdAt": "2023-10-01T12:00:00Z"
}